  /**
    * @file FlickerARM.c
    * @brief This module contains the implementation of the flicker hardware
    * function
    *
    * @author Stefan Popovic
    *
    * @date 11/10/2016
    *
    * @version 0.1a
    *
    * @copyright GNU Public License
    *
    * Test configuration:
    *
    * MCU: STM32F107VC
    * Dev.Board: EasyMx v7 for STM32(R) ARM(R)
    * Oscillator: HSE-PLL, 72.000MHz
    * Ext. Modules: Flicker Click Board
    * SW: MikroC PRO for ARM v4.9.0
    *
    * NOTES:
      - Flicker board is essentially timer delay relay with two potentiometers:
        P1 for ON and P2 for OFF timer with the ON time range of (0.1 - 6) sec
      - By using potentiometers P1 and P2, you can adjust the ON / OFF period.
      - Place Flicker click board on mikroBUS slot 1 or slot 2
      - FON: PC2/Slot 1 | PC3/Slot 2


    /**************************************************************************
    * Module Preprocessor Constants
    **************************************************************************/


    /**************************************************************************
    * Module Preprocessor Macros
    **************************************************************************/


    /**************************************************************************
    * Module Typedefs
    **************************************************************************/


    /**************************************************************************
    * Includes
    **************************************************************************/


    /**************************************************************************
    * Module Variable Definitions
    **************************************************************************/
    void main()
    {
      // Set PC2 and PC3 as digital output
      GPIO_Digital_Output(&GPIOC_ODR, _GPIO_PINMASK_2 | _GPIO_PINMASK_3);
      GPIOC_BASE = 0xFF;
      while(1);         // Endless loop
      // The onboard LED will blink according to ON/OFF timer
      // For example, connect beeper from digital multimeter on terminal
    }